Skip to main content
GET
Token Price by Token Addresses

Notes

  • Prices are returned in USD. Addresses not found in GeckoTerminal will be ignored.
  • Supports up to 100 contract addresses per request (Analyst plan or above).
  • Unverified token market cap returns null. Use mcap_fdv_fallback=true to return FDV value (as seen on GeckoTerminal) when market cap data is unavailable.
  • GeckoTerminal’s routing selects the best pool for pricing based on liquidity and activity. For full control, use Specific Pool Data with a specific pool address.
  • Set include_inactive_source=true to expand the search to recently active pools (up to 1 year) if no top pool is found.

SDK Examples

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Path Parameters

network
string
default:eth
required

Network ID. *refers to /onchain/networks.

addresses
string
default:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
required

Token contract address, comma-separated if more than one token contract address.

Query Parameters

include_market_cap
boolean

Include market capitalization. Default: false

mcap_fdv_fallback
boolean

Return FDV if market cap is not available. Default: false

include_24hr_vol
boolean

Include 24hr volume. Default: false

include_24hr_price_change
boolean

Include 24hr price change. Default: false

include_total_reserve_in_usd
boolean

Include total reserve in USD. Default: false

include_inactive_source
boolean

Include token price data from inactive pools using the most recent swap. Default: false

Response

200 - application/json

Token price data

data
object
required